Name: quota
Version: 3.08
Release: alt1
Serial: 2

Summary: System administration tools for monitoring users' disk usage
License: BSD
Group: System/Configuration/Other

Requires: vitmp
Provides: rquotad = %version
Provides: quota2 = %serial:%version, quota3 = %serial:%version
Obsoletes: quota2, quota3

Source: http://prdownloads.sourceforge.net/linuxquota/quota-%version.tar.bz2

Patch1: quota-3.08-mdk-warnquota.patch
Patch2: quota-3.08-mdk-makefile.patch
Patch3: quota-3.08-mdk-defaults.patch
Patch4: quota-3.08-mdk-man.patch
Patch5: quota-3.01-alt-badkernelinclude.patch
Patch6: quota-3.05-alt-configure-no-nsl.patch
Patch7: quota-3.08-alt-vitmp.patch
Patch8: quota-3.08-alt-modprobe.patch

%description
The quota package contains system administration tools for monitoring
and limiting users' and or groups' disk usage, per filesystem.

%prep
%setup -q -n quota-tools

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
autoconf
%configure
%make_build

%install
mkdir -p %buildroot/sbin
mkdir -p %buildroot%_sysconfdir
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_mandir
mkdir -p %buildroot%_sbindir
mkdir -p %buildroot%_mandir/{man1,man2,man3,man8}

make install ROOTDIR=%buildroot

install -m 644 warnquota.conf %buildroot%_sysconfdir

# Move some utilities to old place
mv -f %buildroot%_sbindir/{convertquota,quotaon,quotaoff,quotacheck} %buildroot/sbin

%find_lang quota

%files -f quota.lang
%config(noreplace) %_sysconfdir/warnquota.conf
%attr(0755,root,root) /sbin/*
%attr(0755,root,root) %_bindir/*
%attr(0755,root,root) %_sbindir/*
#%_includedir/rpcsvc/* #Conflicts with GLIBC
%attr(0644,root,root) %_mandir/man?/*

%changelog
* Thu Feb 13 2003 Dmitry V. Levin <ldv@altlinux.org> 2:3.08-alt1
- Updated to 3.08, reviewed patches.

* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 2:3.07-alt1
- 3.07
- Fixed file lists

* Wed Jun 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 2:3.06-alt1
- 3.06 release

* Mon May 20 2002 Konstantin Volckov <goldhead@altlinux.ru> 2:3.05-alt1
- 3.05 release
- Fixed XFS detection BUG

* Fri May 17 2002 Dmitry V. Levin <ldv@altlinux.org> 2:3.05-alt0.2pre1
- Set default edquota(8) editor to vitmp(1).

* Mon Apr 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 2:3.05-alt0.1pre1
- 3.05pre1
- Fixed some bugs
- Added modprobe support for new 2.4 kernels

* Thu Feb 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2:3.03-alt1
- 3.03
- return old name

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.01-alt0.9
- 3.01pre9
- Some spec fixes

* Wed May 30 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.00-alt4
- Fixed reiserfs quota support

* Mon May 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.00-alt3
- Added manpage symlink for rpc.rquotad.
- Add rquotad for provides.

* Fri May 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.00-alt2
- Re-enabled rquotad stuff.

* Fri May 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.00-alt1
- ALT adaptions.

* Fri Mar 30 2001 Preston Brown <pbrown@redhat.com>
- use rpc.rquotad from here again (#33738)

* Thu Mar 15 2001 Preston Brown <pbrown@redhat.com>
- enable ALT_FORMAT for edquota

* Tue Mar 13 2001 Preston Brown <pbrown@redhat.com>
- I broke passing devices on the cmd line.  Fixed.

* Fri Mar 09 2001 Preston Brown <pbrown@redhat.com>
- quota 3.00 is required by recent kernel 2.4 changes
- no warnquota included this time, not yet ported
- quite a bit of work on quotacheck to make is backwards compatible
- we will likely go back to "quota 2.00" as these projects merge...
